Bug 1254062 - [GSS](6.4.z) Symbolic links are not followed inside overlay directories
[GSS](6.4.z) Symbolic links are not followed inside overlay directories
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Chao Wang
Radim Hatlapatka
https://github.com/jbossas/jboss-eap/...
:
Depends On:
Blocks: eap647-payload
  Show dependency treegraph
 
Reported: 2015-08-17 01:14 EDT by Osamu Nagano
Modified: 2017-01-17 06:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:57:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2191841 None None None 2016-03-07 18:02 EST

  None (edit)
Description Osamu Nagano 2015-08-17 01:14:43 EDT
Description of problem:
In jboss-web.xml, <overlay> can be used to indicate a directory which is outside of the deployment.  But symbolic links in the overlay directory are not followed and 404 is returned.  This behaviour doesn't change even if <symbolic-linking-enabled> is enabled in the jboss-web.xml.
Comment 1 Osamu Nagano 2015-08-18 20:58:51 EDT
JBoss CLI has a command, deployment-overlay.  It can overlay files, but not directories.  Though this makes sense because a deployment can be remote.
Comment 8 Michael Cada 2016-03-09 11:06:13 EST
Verified on EAP 6.4.7.CP.CR2
Comment 9 Petr Penicka 2017-01-17 06:57:07 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.